Bug 980219 - [GSS](6.4.0) Ability to read boot errors via the admin APIs
[GSS](6.4.0) Ability to read boot errors via the admin APIs
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR2
: EAP 6.4.0
Assigned To: Brian Stansberry
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 14:46 EDT by Brian Stansberry
Modified: 2015-04-28 11:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EAP6-160 Major Closed Ability to read boot errors via the admin APIs 2017-07-28 19:09 EDT
JBoss Issue Tracker WFLY-543 Major Resolved Provide an operation to request service status report after server has been started 2017-07-28 19:09 EDT

  None (edit)
Description Brian Stansberry 2013-07-01 14:46:37 EDT
If a server starts but reported errors during boot, there is no way to access the error data via the management API and users are reduced to grepping the logs. This information needs to be captured and stored for later reporting.
Comment 2 Rostislav Svoboda 2013-08-26 06:50:23 EDT
I think this will need to go through Change Request Procedure to get into EAP 6.2.0. It's new functionality/enhancements. 

Only some users would be allowed to read this data - probably additional item to test with RBAC in EAP 6.2.0.
Comment 3 Rostislav Svoboda 2013-08-28 05:05:51 EDT
Setting qa_ack to - for now. If it goes through Change Request Procedure happy to change it to +.
Comment 6 Petr Kremensky 2014-01-22 08:59:35 EST
Same situation as with EAP 6.2.0. Setting qa_ack to - for now.
Comment 7 JBoss JIRA Server 2014-08-22 04:20:53 EDT
Emmanuel Hugonnet <ehugonne@redhat.com> updated the status of jira WFLY-543 to Coding In Progress
Comment 8 Kabir Khan 2014-09-17 15:39:58 EDT
https://github.com/jbossas/jboss-eap/pull/1692
Comment 9 Petr Kremensky 2014-09-29 04:20:56 EDT
Verified on EAP 6.4.0.DR2
Comment 15 Mike Millson 2015-03-12 09:57:11 EDT
Am I correct in my understanding:

1. The PR was made for this:
https://github.com/jbossas/jboss-eap/pull/1692 

2. We have removed this from the EAP 6.4.0 documentation.

3. The functionality will be there in EAP 6.4.0, but we are not testing/supporting this in EAP 6.4.0, and that if we want this supported we need to open an RFE to get this officially added.

Is that right?
Comment 18 JBoss JIRA Server 2015-04-28 11:04:13 EDT
John Doyle <jdoyle@jboss.org> updated the status of jira EAP6-160 to Closed

Note You need to log in before you can comment on or make changes to this bug.